import { Metadata, Http } from '@zeedhi/core';
import { Modal, ModalService } from '@zeedhi/common';
import { TekGrid } from '@zeedhi/teknisa-components-common';

export class AFDeliveryLastYearModalController {
  private aFDeliveryLastYearModal!: Modal;
  
  private daySelected: string = '';

  public async createAFDeliveryLastYearModal() {
    this.aFDeliveryLastYearModal = await ModalService.createFromJson('/modals/aFDeliveryLastYearModal', true);
  }

  public destroyAFDeliveryLastYearModal() {
    this.aFDeliveryLastYearModal?.destroy();
  }

  public async openAFDeliveryLastYearModal({ component, param }) {
    const gridRoute = component.options.props.gridRoute;
    const localData = component.options.localData;
    await this.aFDeliveryLastYearModal.show();
    const gridGroup = Metadata.getInstance<TekGrid>('aFDeliveryLastYearGrid');
    gridGroup.title = `${component.options.fullTitle.text} > ${param.name}`;
    
    let queryString = 'requestType=FilterData';
    queryString += `&ENDDATE=${localData[param.dataIndex].ENDDATE}`;
    queryString += `&STARTDATE=${localData[param.dataIndex].STARTDATE}`;
    queryString += `&CDOPERADOR=${localData[param.dataIndex].CDOPERADOR}`;
    queryString += `&NMREGIAOGEO=${localData[param.dataIndex].NMREGIAOGEO}`;
    queryString += `&NMESTADO=${param.name}`;
    
    Http.get(`/${gridRoute}?${queryString}`).then(({ data }) => {
      gridGroup.datasource.updateData(data.dataset.aFDeliveryLastYearGridGroup);
    });
  }

  public closeAFDeliveryLastYearModal() {
    this.aFDeliveryLastYearModal.hide();
  }
}
