import { Metadata, Http } from '@zeedhi/core';
import { Modal, ModalService } from '@zeedhi/common';
import { TekGrid } from '@zeedhi/teknisa-components-common';

// import { SvgMap } from '@zeedhi/common';
export class AverageTimeAFModalController {
  private AverageTimeAFModal!: Modal;

  public async createAverageTimeAFModal() {
    this.AverageTimeAFModal = await ModalService.createFromJson('/modals/averageTimeAFGridModal', true);
  }

  public destroyAverageTimeAFModal() {
    this.AverageTimeAFModal?.destroy();
  }

  public async openAverageTimeAFModal({ component }, area) {
    await this.AverageTimeAFModal.show();
    const gridGroup = Metadata.getInstance<TekGrid>('averageTimeAFGridGroup');
    gridGroup.title = `Estado Selecionado: ${area.id} - `;
    
    let queryString = 'requestType=FilterData';
    queryString += component.name;
    // queryString += `&OPERADOR=${seriesData.CDOPERADOR}`;
    
    Http.get(`/averageTimeAFGrid?${queryString}`).then(({ data }) => {
      gridGroup.datasource.updateData(data.dataset.averageTimeAFGridGroup);
    });
  }

  public closeAverageTimeAFModal() {
    this.AverageTimeAFModal.hide();
  }
}
